normScaleMarray {maigesPack} | R Documentation

## Scale adjust a cDNA Microarray Object

### Description

This function loads a `maigesRaw` or `maiges` object and scale adjust (normalise between arrays) the data using functions from marray package.

### Usage

    normScaleMarray(obj=NULL, ...)

### Arguments

`obj` | object of type `maigesRaw` or `maiges` to be normalised.
`...` | additional parameters for function `maNormScale`.

### Details

This function for scale adjustment is entirely based on function `maNormScale` from marray package. See the help page for this function to see how to set the parameter. Pay attention to the `subset` argument that is fixed directly from the `UseSpots` and `BadSpots` from `obj` object, and must not be specified in the additional arguments.

The functionality of the scale adjustment function from marray package was added because it uses an estimator of MAD different from that one used in limma package. Also, using `maNormScale` function it is possible to do print tip scale adjustment.

### Value

This function returns a `maiges` object.

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### See Also

`maNormScale` from marray package.

### Examples

    ## Loading the dataset
    data(gastro)

    ## Doing global MAD scale adjustment
    gastro.norm = normScaleMarray(gastro.norm, norm="globalMAD")
    boxplot(gastro.norm) ## To see the effect of MAD adjustment

    ## For print tip MAD use the following command
    ## Not run:
    gastro.norm = normScaleMarray(gastro.norm, norm="printTipMAD")
    ## End(Not run)

[Package maigesPack version 1.4.0 Index]